<?php
require("../../inc/header.php");

/*
		SoftName : EmpireBak Version 2010
		Author   : wm_chief
		Copyright: Powered by www.phome.net
*/

DoSetDbChar('utf8');
E_D("DROP TABLE IF EXISTS `query_builder`;");
E_C("CREATE TABLE `query_builder` (
  `query_id` int(11) NOT NULL AUTO_INCREMENT,
  `query_category` varchar(40) NOT NULL DEFAULT '',
  `query_name` varchar(80) NOT NULL DEFAULT '',
  `query_description` text NOT NULL,
  `query_string` text NOT NULL,
  `query_keys_list` text NOT NULL,
  PRIMARY KEY (`query_id`),
  UNIQUE KEY `query_name` (`query_name`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Stores queries for re-use in Admin email and report modules'");
E_D("replace into `query_builder` values('1','email','All Customers','Returns all customers name and email address for sending mass emails (ie: for newsletters, coupons, GVs, messages, etc).','select customers_email_address, customers_firstname, customers_lastname from TABLE_CUSTOMERS order by customers_lastname, customers_firstname, customers_email_address','');");
E_D("replace into `query_builder` values('2','email,newsletters','Customer Account Newsletter Subscribers','Returns name and email address of newsletter subscribers who have a customer account.','select customers_firstname, customers_lastname, customers_email_address from TABLE_CUSTOMERS where customers_newsletter = ''1''','');");
E_D("replace into `query_builder` values('3','email,newsletters','Dormant Customers (>3months) (Subscribers)','Subscribers who HAVE purchased something, but have NOT purchased for at least three months.','select o.date_purchased, c.customers_email_address, c.customers_lastname, c.customers_firstname from TABLE_CUSTOMERS c, TABLE_ORDERS o WHERE c.customers_id = o.customers_id AND c.customers_newsletter = 1 GROUP BY c.customers_email_address HAVING max(o.date_purchased) <= subdate(now(),INTERVAL 3 MONTH) ORDER BY c.customers_lastname, c.customers_firstname ASC','');");
E_D("replace into `query_builder` values('4','email,newsletters','Active customers in past 3 months (Subscribers)','Newsletter subscribers who are also active customers (purchased something) in last 3 months.','select c.customers_email_address, c.customers_lastname, c.customers_firstname from TABLE_CUSTOMERS c, TABLE_ORDERS o where c.customers_newsletter = ''1'' AND c.customers_id = o.customers_id and o.date_purchased > subdate(now(),INTERVAL 3 MONTH) GROUP BY c.customers_email_address order by c.customers_lastname, c.customers_firstname ASC','');");
E_D("replace into `query_builder` values('5','email,newsletters','Active customers in past 3 months (Regardless of subscription status)','All active customers (purchased something) in last 3 months, ignoring newsletter-subscription status.','select c.customers_email_address, c.customers_lastname, c.customers_firstname from TABLE_CUSTOMERS c, TABLE_ORDERS o WHERE c.customers_id = o.customers_id and o.date_purchased > subdate(now(),INTERVAL 3 MONTH) GROUP BY c.customers_email_address order by c.customers_lastname, c.customers_firstname ASC','');");
E_D("replace into `query_builder` values('6','email,newsletters','Administrator','Just the email account of the current administrator','select ''ADMIN'' as customers_firstname, admin_name as customers_lastname, admin_email as customers_email_address from TABLE_ADMIN where admin_id = \$SESSION:admin_id','');");
E_D("replace into `query_builder` values('7','email,newsletters','Customers who have never completed a purchase','For sending newsletter to all customers who registered but have never completed a purchase','SELECT DISTINCT c.customers_email_address as customers_email_address, c.customers_lastname as customers_lastname, c.customers_firstname as customers_firstname FROM TABLE_CUSTOMERS c LEFT JOIN  TABLE_ORDERS o ON c.customers_id=o.customers_id WHERE o.date_purchased IS NULL','');");
E_D("replace into `query_builder` values('8','email,newsletters','All Newsletter Subscribers','Returns name and email address of all Customer Account subscribers and all Newsletter-Only subscribers.','select c.customers_firstname, c.customers_lastname, s.email_address as customers_email_address from TABLE_SUBSCRIBERS as s left join TABLE_CUSTOMERS as c on c.customers_id = s.customers_id ','');");
E_D("replace into `query_builder` values('9','email,newsletters','Newsletter-only Subscribers','Returns email address of all confirmed Newsletter-Only subscribers.','SELECT email_address as customers_email_address FROM TABLE_SUBSCRIBERS WHERE email_format != ''NONE'' and confirmed = 1 and (customers_id IS NULL or customers_id = 0) order by email_address','');");
E_D("replace into `query_builder` values('10','email,newsletters','Email Test Group - Newsletter-only subscribers','Returns name and email address of Newsletter-only subscribers designated in Email test group configuration.','SELECT s.email_address as customers_email_address FROM TABLE_SUBSCRIBERS as s LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( s.email_address, q.configuration_value) >= 1 WHERE configuration_key = ''NEWSONLY_SUBSCRIPTION_TEST_GROUP'' ','');");
E_D("replace into `query_builder` values('11','email,newsletters','Email Test Group - Customers','Returns name and email address of Newsletter-only subscribers designated in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE configuration_key = ''NEWSONLY_SUBSCRIPTION_TEST_GROUP'' ','');");
E_D("replace into `query_builder` values('12','email,newsletters','All Auction Seller','Returns name and email address of All Auction Seller in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes = 1 ','');");
E_D("replace into `query_builder` values('13','email,newsletters','All Wholesaler','Returns name and email address of All Wholesaler in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes = 2 ','');");
E_D("replace into `query_builder` values('14','email,newsletters','All Offline Retailer','Returns name and email address of All Offline Retailer in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes = 3','');");
E_D("replace into `query_builder` values('15','email,newsletters','All Online Retailer','Returns name and email address of All Online Retailer in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes = 4 ','');");
E_D("replace into `query_builder` values('16','email,newsletters','All Dropshipper','Returns name and email address of All Dropshipper in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes = 5','');");
E_D("replace into `query_builder` values('17','email,newsletters','All End-user','Returns name and email address of All End-user in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes =6','');");
E_D("replace into `query_builder` values('18','email,newsletters','All Others','Returns name and email address of All Others Seller in Email test group configuration.','SELECT c.customers_email_address as customers_email_address FROM TABLE_CUSTOMERS as c LEFT JOIN TABLE_CONFIGURATION as q on LOCATE( c.customers_email_address, q.configuration_value) >= 1 WHERE c.customers_describes =7','');");

require("../../inc/footer.php");
?>